%define redhat_release   %(if [ -e /etc/redhat-release ] ; then awk '{print $5}' /etc/redhat-release ; fi)

%define pdver     0.36.0
%define gem_ver   0.87
%define gem_date  20030210.155359

%define gem_rel   4.cvs

%define quicktime 1

Summary:	GEM (Graphics Environment for Multimedia)
Name:		gem
Version:	%{gem_ver}
Release:	%{gem_rel}
License:        GPL
Group:		Applications/Multimedia
Source:		gem-%{gem_ver}-%{gem_date}.tar.gz
Source1:        gemlibs-%{gem_ver}-%{gem_date}.tar.gz
Source2:        gem-get-cvs
Patch0:         gem-%{gem_ver}-pix_puzzle.patch
Patch1:         gem-0.87-pix.patch
Patch2:         gem-0.87-slidesquares.patch
Patch3:         gem-0.87-makefile.patch
Patch4:         gem-0.87-makefile2.patch
Patch5:         gem-0.87-controlsmakefile.patch
Patch6:         gem-0.87-makefile3.patch
URL:		http://gem.iem.at/
Vendor:		Mark Danks / Gunter Geiger / IOhannes m zmlnig
BuildRoot:      %{_tmppath}/gem-%{gem_ver}-root
Requires:       pd >= %{pdver}
Packager:       Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution:   Planet CCRMA

%if "%{quicktime}" == "1" 
BuildRequires:  libquicktime libmpeg3
%endif
%if "%{redhat_release}" == "9"
Requires:       glut >= 3.7-13
%endif

%description
GEM is the Graphics Environment for Multimedia. It was originally
written by Mark Danks to generate real-time computer graphics,
especially for audio-visual compositions. Because GEM is a visual
programming environment, users do not need any experience in
traditional computer languages.  Gnter Geiger made a port to LINUX
and it is now at the IEM by IOhannes m zmlnig. Future developments
will be aimed at Linux and Win32 platforms.

GEM is a collection of externals which allow the user to create OpenGL
graphics within Pd, a program for real-time audio processing by Miller
Puckette (of Max fame).
%if "%{gem_date}" != ""
This rpm is based on the experimental CVS version of gem
downloaded on %{gem_date}. Handle with care. 
%endif

%prep
%setup -T -b 1 -n GemLibs
%setup -T -b 0 -n Gem
# %patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
# remove all cvs directories
find ./ -type d -name CVS | xargs rm -r

# make auxilliary libraries
(cd ../GemLibs/; ./makeauxlibs)

# make gem
cd src/Gnu
./configure --prefix=%{_prefix} --mandir=%{_mandir} --with-glut --with-mpeg3 --with-quicktime

%if "%{redhat_release}" == "9"
(cd $RPM_BUILD_DIR/Gem;
 patch -p1 <%{PATCH6};
 patch -p1 <%{PATCH5})
%else
patch -p3 <%{PATCH4}
%endif
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pd/extra
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pd/doc/gem
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pd/doc/gem.examples
install -m 755 Gem.pd_linux $RPM_BUILD_ROOT%{_libdir}/pd/extra
install -m 644 help/*.pd $RPM_BUILD_ROOT%{_libdir}/pd/doc/gem
mv examples gem.examples
tar cvf - gem.examples |(cd $RPM_BUILD_ROOT%{_libdir}/pd/doc; tar xvpf -)

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc doc/* GEM.README GEM.LICENSE.TERMS manual gem.examples
%dir %{_libdir}/pd/extra
%dir %{_libdir}/pd/doc
%{_libdir}/pd/extra/*
%{_libdir}/pd/doc/gem*

%changelog
* Fri Jun 20 2003 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.87-4
- added stuff to make it build under redhat 9, hack alert...
- needs more up to date glut (from rawhide)
* Mon Feb 10 2003 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.87-4
- switched to gem cvs
- switched to using libquicktime instead of the original quicktime4linux
* Mon Oct 14 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.87-2
- compiled under gcc 3.2, added pix_videoLinux.cpp patch
* Sat Aug 17 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.87-1
- updated to 0.87, added quicktime4linux support
* Sun Aug 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.84.6-2
- rebuilt for pd 0.35
- moved library from pd/externs to pd/extra
* Wed Nov 28 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.84.6
- created rpm
